using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Charting;
using System.Drawing;
using System.Collections.Generic;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        RadChart1.AutoLayout = true;
        RadChart1.PlotArea.YAxis.Appearance.ValueFormat = Telerik.Charting.Styles.ChartValueFormat.ShortDate;
        RadChart1.PlotArea.YAxis.Appearance.CustomFormat = "dd/MM/yy";
        RadChart1.PlotArea.YAxis.Appearance.LabelAppearance.RotationAngle = 90;
        RadChart1.PlotArea.YAxis.Appearance.LabelAppearance.Position.AlignedPosition = Telerik.Charting.Styles.AlignedPositions.Top;
        RadChart1.Series.Clear();

        RadChart1.PlotArea.YAxis.IsZeroBased = false;

        RadChart1.DataSource = CreateSource();
        ChartSeries series = new ChartSeries();

        series.Type = ChartSeriesType.Gantt;
        series.Appearance.LabelAppearance.Visible = false;
        series.DataYColumn = "From";
        series.DataYColumn2 = "To";
        RadChart1.Series.Add(series);

        RadChart1.SeriesOrientation = ChartSeriesOrientation.Horizontal;

        RadChart1.PlotArea.XAxis.DataLabelsColumn = "Name";
        RadChart1.DataBind();
    }

    private static DataTable CreateSource()
    {
        string[] names = new string[] { "John", "Peter", "Yamamoto", "Hiru", "Blessenohl" };
        Random rand = new Random();

        DataTable table = new DataTable();
        table.Columns.Add("Name", typeof(string));
        table.Columns.Add("From", typeof(double));
        table.Columns.Add("To", typeof(double));

        DateTime monthStart = new DateTime(DateTime.Now.Year, DateTime.Now.Month, 1);

        for (int i = 0; i < names.Length; i++)
        {
            DateTime from = monthStart.AddDays(rand.Next(0, 20));
            DateTime to = from.AddDays(rand.Next(5, 30));
            DataRow row = table.NewRow();
            row["Name"] = names[i];
            row["From"] = Math.Round(from.ToOADate());
            row["To"] = Math.Round(to.ToOADate());
            table.Rows.Add(row);
        }

        return table;
    }
}